KDED5(8)

NAME
kded5 - KDE daemon - triggers Sycoca database updates when needed.

SYNOPSIS

kded5 [--check]

DESCRIPTION

kded5 consolidates several small services in one process. These are mostly D-Bus services provided by KDED modules, but it also manages sycoca (a binary cache of servicetypes, MIME types and services used by KService) and KConfig update scripts as needed.

For sycoca, it monitors the directories containing .desktop files. When a file is added/removed, it waits 5 seconds (in case of a series of updates), and then launches kbuildsycoca5 to update the sycoca.

For KConfig, it checks newly-installed update files, i.e. the *.upd files used to update configuration files of users when the configuration file formats changes, and runs the KConfig update utility to perform the updates.

Those tasks are also run when kded5 is started to ensure that the user configuration is up to date.

You do not normally need to run kded5 directly; Plasma desktop sessions run it automatically, and it is started on demand when an application attempts to use a D-Bus interface provided by it or one of its modules.

OPTIONS

--check
    Check the sycoca database, updating it if necessary, and exit.

CONFIGURATION

kded5 can be configured with the kded5rc ini-style configuration file. On UNIX® systems, this can be found at $XDG_CONFIG_HOME/kded5rc; if $XDG_CONFIG_HOME is not set, this defaults to ~/.config/kded5rc.

Configuration file entries are read on-demand, so changes can be made while kded5 is running. However, all the current configuration options only really affect the startup behaviour of kded5.

The [General] section has the following options:

CheckSycoca
    Whether to update sycoca at startup (default: true).

CheckUpdates
    Whether to perform outstanding KConfig updates at startup (default: true).

CheckFileStamps
    Whether to check file timestamps when performing the initial sycoca update (default: true). See the documentation for kbuildsycoca5 for more details.

DelayedCheck
    Whether to delay the initial sycoca update until about a minute after starting (default: false).

Each module also has a [Module-name] section in kded5rc, where name is the name of the module's desktop file without the .desktop extension. This contains an autoload option that specifies whether the module should be automatically loaded when kded5 is started (default: false). Note that this setting can also be changed via kded5's D-Bus interface.

SEE ALSO

kbuildsycoca5(8), kdeinit5(8)

BUGS

Please use KDE's bugtracker[1] to report bugs.

AUTHORS

David Faure <faure@kde.org>
    Maintainer

Waldo Bastian <bastian@kde.org>
    Original author

NOTES

1.  KDE's bugtracker
    https://bugs.kde.org